> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /homebrew/formulae

> Get Homebrew formula details by name, alias, old name or formula URL

**Price:** 1 credit

**⚠️ Common errors:** 412: Formula not found



## OpenAPI

````yaml /openapi/package-registries.json post /api/homebrew/formulae
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/homebrew/formulae:
    post:
      tags:
        - /homebrew
      summary: /homebrew/formulae
      description: |-
        Get Homebrew formula details by name, alias, old name or formula URL

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Formula not found
      operationId: __api_homebrew_formulae_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HomebrewFormulaePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HomebrewFormula'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HomebrewFormulaePayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        formula:
          type: string
          minLength: 1
      type: object
      required:
        - formula
    HomebrewFormula:
      properties:
        '@type':
          type: string
          default: HomebrewFormula
        name:
          type: string
        full_name:
          type: string
          default: ''
        tap:
          type: string
          default: ''
        aliases:
          items:
            type: string
          type: array
          default: []
        oldnames:
          items:
            type: string
          type: array
          default: []
        versioned_formulae:
          items:
            type: string
          type: array
          default: []
        license:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        version:
          anyOf:
            - type: string
            - type: 'null'
        head_version:
          anyOf:
            - type: string
            - type: 'null'
        is_bottled:
          type: boolean
          default: false
        revision:
          type: integer
          default: 0
        stable_url:
          anyOf:
            - type: string
            - type: 'null'
        dependencies:
          items:
            type: string
          type: array
          default: []
        build_dependencies:
          items:
            type: string
          type: array
          default: []
        test_dependencies:
          items:
            type: string
          type: array
          default: []
        uses_from_macos:
          items:
            type: string
          type: array
          default: []
        requirements:
          items:
            $ref: '#/components/schemas/HomebrewFormulaRequirement'
          type: array
          default: []
        service:
          anyOf:
            - $ref: '#/components/schemas/HomebrewFormulaService'
            - type: 'null'
        conflicts_with:
          items:
            type: string
          type: array
          default: []
        keg_only:
          type: boolean
          default: false
        keg_only_reason:
          anyOf:
            - type: string
            - type: 'null'
        caveats:
          anyOf:
            - type: string
            - type: 'null'
        executables:
          items:
            type: string
          type: array
          default: []
        is_deprecated:
          type: boolean
          default: false
        deprecation_date:
          anyOf:
            - type: string
            - type: 'null'
        deprecation_reason:
          anyOf:
            - type: string
            - type: 'null'
        deprecation_replacement:
          anyOf:
            - type: string
            - type: 'null'
        is_disabled:
          type: boolean
          default: false
        disable_date:
          anyOf:
            - type: string
            - type: 'null'
        disable_reason:
          anyOf:
            - type: string
            - type: 'null'
        disable_replacement:
          anyOf:
            - type: string
            - type: 'null'
        install_count_30d:
          type: integer
          default: 0
        install_count_90d:
          type: integer
          default: 0
        install_count_365d:
          type: integer
          default: 0
        source_path:
          anyOf:
            - type: string
            - type: 'null'
        generated_date:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    HomebrewFormulaRequirement:
      properties:
        '@type':
          type: string
          default: HomebrewFormulaRequirement
        name:
          type: string
        version:
          anyOf:
            - type: string
            - type: 'null'
        contexts:
          items:
            type: string
          type: array
          default: []
        specs:
          items:
            type: string
          type: array
          default: []
        cask:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    HomebrewFormulaService:
      properties:
        '@type':
          type: string
          default: HomebrewFormulaService
        run:
          items:
            type: string
          type: array
          default: []
        run_type:
          anyOf:
            - type: string
            - type: 'null'
        keep_alive:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
        working_dir:
          anyOf:
            - type: string
            - type: 'null'
        log_path:
          anyOf:
            - type: string
            - type: 'null'
        error_log_path:
          anyOf:
            - type: string
            - type: 'null'
        environment_variables:
          additionalProperties:
            type: string
          type: object
          default: {}
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````